Subject: Re: [PATCH ethtool-next 00/14] ethtool: Use memory maps for EEPROM parsing

From: Ido Schimmel <[email-masked]>
Date: Thu, 28 Oct 2021 01:00:59 +0300

On Wed, Oct 27, 2021 at 10:30:45PM +0200, Michal Kubecek wrote:
> On Tue, Oct 12, 2021 at 04:25:11PM +0300, Ido Schimmel wrote:
> > From: Ido Schimmel <[email-masked]>
> > 
> > This patchset prepares ethtool(8) for retrieval and parsing of optional
> > and banked module EEPROM pages, such as the ones present in CMIS. This
> > is done by better integration of the recent 'MODULE_EEPROM_GET' netlink
> > interface into ethtool(8).
> 
> I still need to take a closer look at some of the patches but just to be
> sure: the only reason to leave this series for 5.16 cycle is that it's
> rather big and intrusive change (i.e. it does not depend on any kernel
> functionality not present in 5.15), right?

Right, it does not depend on any kernel functionality not present in
5.15